# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=8
PYTHON_COMPAT=( python3_{9..12} )
DISTUTILS_SINGLE_IMPL=1
DISTUTILS_USE_PEP517=setuptools

inherit distutils-r1

MY_PN="PcbDraw"

DESCRIPTION="Convert your KiCAD board into a nicely looking 2D drawing"
HOMEPAGE="https://github.com/yaqwsx/KiKit"
if [[ ${PV} == "9999" ]] ; then
        EGIT_REPO_URI="https://github.com/yaqwsx/${PN}.git"
        KEYWORDS=""
        inherit git-r3
else
        KEYWORDS="~amd64 ~x86"
	SRC_URI="https://github.com/yaqwsx/${MY_PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
	S="${WORKDIR}/${MY_PN}-${PV}"
fi

LICENSE="MIT"
SLOT="0"
IUSE=""
RESTRICT="test"

REQUIRED_USE="${PYTHON_REQUIRED_USE}"

RDEPEND="$(python_gen_cond_dep '
		dev-python/click[${PYTHON_USEDEP}]
		dev-python/engineering-notation[${PYTHON_USEDEP}]
		dev-python/lxml[${PYTHON_USEDEP}]
		dev-python/markdown2[${PYTHON_USEDEP}]
		>=dev-python/mistune-2.0.2[${PYTHON_USEDEP}]
		dev-python/numpy[${PYTHON_USEDEP}]
		dev-python/pcbnewtransition[${PYTHON_SINGLE_USEDEP}]
		dev-python/pillow[${PYTHON_USEDEP}]
		dev-python/pybars3[${PYTHON_USEDEP}]
		dev-python/pyvirtualdisplay[${PYTHON_USEDEP}]
		dev-python/pyyaml[${PYTHON_USEDEP}]
		~dev-python/svgpathtools-1.6.1[${PYTHON_USEDEP}]
		dev-python/wand[${PYTHON_USEDEP}]
		sci-electronics/kicad[${PYTHON_SINGLE_USEDEP}]
	')
"

DEPEND="${RDEPEND}
	$(python_gen_cond_dep '
		dev-python/versioneer[${PYTHON_USEDEP}]
	')
"


src_compile() {
        true;
}

src_install() {
        python_domodule ${PN}
	python_doscript ${FILESDIR}/pcbdraw
	dodoc -r doc
        dodoc LICENSE README.md
}

