# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

EAPI=8
PYTHON_COMPAT=( python3_{9..12} )
DISTUTILS_USE_PEP517=setuptools
DISTUTILS_SINGLE_IMPL=1

MY_PN="engineering_notation"

inherit distutils-r1

DESCRIPTION="Qt5 Label Editor for Brother P-Touch Cube label maker"
HOMEPAGE="https://github.com/piksel/pytouch-cube"
if [[ ${PV} == "9999" ]] ; then
        EGIT_REPO_URI="https://github.com/piksel/${PN}.git"
        KEYWORDS=""
        inherit git-r3
else
        KEYWORDS="~amd64 ~x86"
	SRC_URI="https://github.com/piksel/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
fi

LICENSE="MIT"
SLOT="0"
IUSE=""
RESTRICT="test"

REQUIRED_USE="${PYTHON_REQUIRED_USE}"

RDEPEND="$(python_gen_cond_dep '
		>=dev-python/PyQt6-6.3[${PYTHON_USEDEP}]
		dev-python/altgraph[${PYTHON_USEDEP}]
		~dev-python/appdirs-1.4.4[${PYTHON_USEDEP}]
		dev-python/packbits[${PYTHON_USEDEP}]
		dev-python/pybluez[${PYTHON_USEDEP}]
		dev-python/pypng[${PYTHON_USEDEP}]
		dev-python/pyserial[${PYTHON_USEDEP}]
		dev-python/pyyaml[${PYTHON_USEDEP}]
		dev-python/qasync[${PYTHON_USEDEP}]
		dev-python/qrcode[${PYTHON_USEDEP}]
	')"
		#dev-python/django-qrcode[${PYTHON_USEDEP}]

DEPEND="${RDEPEND}"

PATCHES="${FILESDIR}/${P}-linux.diff"
