# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

# Auto-Generated by cargo-ebuild 0.5.2

EAPI=8

# Updating CRATES for new releases:
# 1) git clone --recursive https://github.com/gatecat/prjoxide
# 2) cd prjoxide/libprjoxide
# 3) cargo-ebuild ebuild --package-name prjoxide
# 4) copy it out of the ebuild that's created
# Beyond that, adjusting the *_GIT_COMMIT variables accordingly should
# produce a working ebuild.

CRATES="
	adler-1.0.2
	aho-corasick-0.7.19
	anyhow-1.0.66
	atty-0.2.14
	autocfg-1.1.0
	base64-0.10.1
	bitflags-1.3.2
	byteorder-1.4.3
	capnp-0.14.10
	capnpc-0.14.9
	cfg-if-1.0.0
	clap-3.2.23
	clap_derive-3.2.18
	clap_lex-0.2.4
	crc32fast-1.3.2
	ctor-0.1.26
	either-1.8.0
	flate2-1.0.24
	getopts-0.2.21
	ghost-0.1.6
	glob-0.3.0
	hashbrown-0.12.3
	heck-0.4.0
	hermit-abi-0.1.19
	include_dir-0.6.2
	include_dir_impl-0.6.2
	indexmap-1.9.1
	indoc-0.3.6
	indoc-impl-0.3.6
	instant-0.1.12
	inventory-0.1.11
	inventory-impl-0.1.11
	itertools-0.8.2
	itoa-1.0.4
	lazy_static-1.4.0
	libc-0.2.137
	lock_api-0.4.9
	log-0.4.17
	memchr-2.5.0
	miniz_oxide-0.5.4
	multimap-0.8.3
	num-bigint-0.4.3
	num-integer-0.1.45
	num-traits-0.2.15
	once_cell-1.16.0
	os_str_bytes-6.4.0
	parking_lot-0.11.2
	parking_lot_core-0.8.5
	paste-0.1.18
	paste-impl-0.1.18
	proc-macro-error-1.0.4
	proc-macro-error-attr-1.0.4
	proc-macro-hack-0.5.19
	proc-macro2-1.0.47
	pulldown-cmark-0.6.1
	pyo3-0.13.2
	pyo3-macros-0.13.2
	pyo3-macros-backend-0.13.2
	quote-1.0.21
	redox_syscall-0.2.16
	regex-1.7.0
	regex-syntax-0.6.28
	ron-0.5.1
	ryu-1.0.11
	scopeguard-1.1.0
	serde-1.0.147
	serde_derive-1.0.147
	serde_json-1.0.87
	smallvec-1.10.0
	strsim-0.10.0
	syn-1.0.103
	termcolor-1.1.3
	textwrap-0.16.0
	unicase-2.6.0
	unicode-ident-1.0.5
	unicode-width-0.1.10
	unindent-0.1.10
	version_check-0.9.4
	winapi-0.3.9
	winapi-i686-pc-windows-gnu-0.4.0
	winapi-util-0.1.5
	winapi-x86_64-pc-windows-gnu-0.4.0
"

inherit cargo

GIT_COMMIT=ea89720449915ab73afdb6f1f2f48939dae6a9e7
DB_GIT_COMMIT=56009be1ca77a7123ffdb50a813216302a42ac27
FPGA_XCH_SCHEMA_GIT_COMMIT=78abf3f30770ccc6d0e1f5dbfeaef2666f55acf6
S=$WORKDIR/$PN-$GIT_COMMIT/libprjoxide

DESCRIPTION="documenting Lattice's 28nn Nexus FPGAs"
HOMEPAGE="https://github.com/gatecat/prjoxide"
SRC_URI="$(cargo_crate_uris)
	 https://github.com/gatecat/prjoxide/archive/$GIT_COMMIT.tar.gz -> $P.tar.gz
	 https://github.com/gatecat/prjoxide-db/archive/$DB_GIT_COMMIT.tar.gz -> $PN-db-$PV.tar.gz
	 https://github.com/SymbiFlow/fpga-interchange-schema/archive/$FPGA_XCH_SCHEMA_GIT_COMMIT.tar.gz -> fpga-interchange-schema-$FPGA_XCH_SCHEMA_GIT_COMMIT.tar.gz"
LICENSE="ISC"
SLOT="0"
KEYWORDS="amd64"

src_unpack() {
	unpack $P.tar.gz
	unpack $PN-db-$PV.tar.gz
	rm -r $WORKDIR/$PN-$GIT_COMMIT/database
	mv $WORKDIR/$PN-db-$DB_GIT_COMMIT $WORKDIR/$PN-$GIT_COMMIT/database
	unpack fpga-interchange-schema-$FPGA_XCH_SCHEMA_GIT_COMMIT.tar.gz
	rm -r $WORKDIR/$PN-$GIT_COMMIT/3rdparty/fpga-interchange-schema
	mv $WORKDIR/fpga-interchange-schema-$FPGA_XCH_SCHEMA_GIT_COMMIT $WORKDIR/$PN-$GIT_COMMIT/3rdparty/fpga-interchange-schema
	cargo_src_unpack
}

src_install() {
	cargo_src_install --path prjoxide
}
